//
//  PiperApp.swift
//  Piper ~ App
//
//  Created by Javier Cicchelli on 04/10/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import SwiftUI
import SwiftData

@main
struct PiperApp: App {
    
    // MARK: Properties

    private var container = {
        do {
            return try ModelContainer(
                for: .entities,
                configurations: [ModelConfiguration()]
            )
        } catch {
            fatalError("ERROR: ModelContainer has not been created => \(error)")
        }
    }()
    
    // MARK: Body

    var body: some Scene {
        MenuBarExtra {
            MenuBarView()
                .modelContainer(container)
        } label: {
            Image(systemName: "circle.fill")
        }
        .menuBarExtraStyle(.window)
        
        Settings {
            SettingsView()
        }
    }

}
