//
//  ModelConfiguration+Inits.swift
//  Piper ~ App
//
//  Created by Javier Cicchelli on 05/10/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import Foundation
import SwiftData

extension ModelConfiguration {
    
    // MARK: Initialisers
    
    init(
        _ name: String? = nil,
        schema: Schema = .entities,
        url: URL = .applicationSupportDirectory.appending(component: "piper.db")
    ) {
        self.init(
            name,
            schema: schema,
            url: url,
            allowsSave: true,
            cloudKitDatabase: .none
        )
    }
    
}
