//
//  SettingsItem.swift
//  Piper ~ App
//
//  Created by Javier Cicchelli on 13/10/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

enum SettingsItem: Int, Hashable {
    case repositories = 0
}

// MARK: - CaseIterable

extension SettingsItem: CaseIterable {
    
    // MARK: Computed
    
    var allCases: [SettingsItem] {
        [.repositories]
    }
    
}

// MARK: - Identifiable

extension SettingsItem: Identifiable {
    
    // MARK: Computed
    
    var id: Int {
        rawValue
    }
    
}
